---
version: 13
---

@import 'variables';

// original CSS: https://github.com/algolia/examples/blob/master/instant-search/instantsearch.js/assets/style.css
// original CSS customized and converted to SCSS with http://sebastianpontow.de/css2compass/

//colors
$color0: rgba(180, 162, 231, 0.1);
$color1: rgba(180, 162, 231, 0.2);
$color2: rgba(180, 162, 231, 0.1);
$color3: rgba(79, 171, 225, 0.2);
$color4: #eee;
$color5: #ed5565;
$color6: #999;
$color7: #868686;
$color8: #fff;
$color9: #383838;
$color10: rgb(117, 117, 117);
$color11: transparent;
// link-color: rgb(32, 139, 196);
$color12: rgba(32, 139, 196, 0.2); //link color lighter


/* stylelint-disable-next-line selector-class-pattern */
.ais-SearchBox {
  width: 100%;
  max-width: 100% !important; // was 300px
}

.search-input {
  border-radius: 2px;
}

.instantsearch-input {
  @media all and (max-width: $bp-sm) {
    margin-top: 40px;
  }
}

/* stylelint-disable-next-line selector-class-pattern */
.ais-PoweredBy {
  font-family: $sans-font-family;
  font-size: $body-font-size;

  svg {
    display: inline;
  }
}

.hit-content {
  border-top: 1px solid $color0;
  padding: 1rem 0.5rem;
  margin: 0;
  font-size: 13px;
  font-weight: 300;
  width: 100%; // was 81%
  position: relative;
  color: $color10;
  transition: 0.3s ease;
  word-wrap: break-word;

  &:hover {
    background-color: $color12;

    .hit-tag {
      color: $link-color;
      border-color: $color3;
    }
  }

  .lvl0 {
    color: $gds-black;
  }

  .lvl1 {
    font-size: 18px !important;
  }

  .lvl2 {
    font-size: 0.875rem;
    color: $color7;
  }

  .hit-name {
    font-weight: normal;
    margin-top: 0;
  }

  em {
    font-style: normal;
    background-color: $color3;
  }

  p {
    font-size: 13px;
  }

  .hit-description {
    margin: 1px 0 5px;
  }

  .hit-tag {
    display: block;
    position: absolute;
    padding: 3px;
    border: 1px solid $color0;
    border-top: 0;
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
    right: 0;
    top: 0;
    width: 70px;
    height: 25px;
    font-size: 11px;
    font-weight: 500;
    text-align: center;
    text-transform: uppercase;
    color: $color6;
  }

  .hit-text {
    font-size: inherit;
    color: $link-color;
  }

  @media all and (max-width: $bp-sm) {
    .hit-tag {
      width: 60px;
      height: 23px;
      font-size: 10px;
    }

    .lvl0 {
      padding-top: 5px;
    }
  }
}

#hits {
  /* stylelint-disable-next-line selector-list-comma-newline-after */
  > h1, h2, h3, h4, h5, h6 {
    border: 0;
  }
}

//overrides padding for the searchbox
.main.class {
  padding-top: 90px;

  @media (max-width: $bp-sm) {
    padding-top: 20px;
  }
}

.algolia-docsearch-suggestion--highlight {
  background-color: $color3;
}

/* stylelint-disable selector-class-pattern */
.ais-InfiniteHits {
  .ais-InfiniteHits-item {
    // https://github.com/algolia/instantsearch-specs/blob/v7.4.4/src/scss/themes/algolia.scss#L277-L305
    width: calc(100% - 1rem);
    border: 0;
    box-shadow: none;
  }
}

.ais-InfiniteHits-loadMore {
  display: block;
  width: 100%;
  margin: 1rem 0.5rem;

  &:focus {
    outline: none;
  }
}

.ais-Stats-text {
  color: $body-color;
}

.ais-RefinementList-item {
  display: inline-block;
  padding-right: 10px;
}

.ais-RefinementList-label {
  text-transform: uppercase;
  color: $link-color;
}
/* stylelint-enable selector-class-pattern */

.search-results {
  min-height: 50vh;
}
